# MongoCommandCursor::current

(PECL mongo >=1.5.0)

MongoCommandCursor::current — Returns the current element

### Description

public MongoCommandCursor::current ( void ) : array

This returns `NULL` until MongoCommandCursor::rewind() is called.

### Parameters

This function has no parameters.

### Return Values

The current result document as an associative array. `NULL` will be returned if there is no result.

### See Also

- Iterator::current() - Return the current element